Skip to content
Login Sign up

Google Jobs Listing API

Retrieve the full details of a single job posting from Google Jobs. Pass the base64-encoded job_id returned by the Google Jobs API as the q parameter to get apply options, ratings, salary ranges, and highlights.

GET https://serp.shifter.io/v1?engine=google_jobs_listing&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_jobs_listing
qstringyesBase64-encoded job ID from the Google Jobs API
Terminal window
curl "https://serp.shifter.io/v1?engine=google_jobs_listing&api_key=YOUR_API_KEY&q=eyJqb2JfdGl0bGUiOiJTciBTb2Z0d2FyZSBEZXZlbG9wZXIgKFImRCkiLCJjb21wYW55X25hbWUiOiJCLiBCcmF1biBNZWRpY2FsIEluYy4iLCJodGlkb2NpZCI6IlUzaG5lZ283TGFYSjlsRjdBQUFBQUE9PSIsInEiOiJwcm9ncmFtbWVyIn0%3D"
{
"search_parameters": {
"engine": "google_jobs_listing",
"google_domain": "google.com",
"device": "desktop",
"query": "eyJqb2JfdGl0bGUi..."
},
"google_jobs_listing": {
"apply_options": [ { } ],
"ratings": [
{
"source": "Indeed",
"link": "https://www.indeed.com/cmp/B.-Braun-Medical-Inc/reviews",
"rating": " 3.9 ",
"reviews": " 945 reviews"
}
],
"salaries": [
{
"source": "ZipRecruiter",
"salary_currency": "$",
"salary_from": "56k",
"salary_to": "110k",
"salary_periodicity": "per year",
"based_on": " local employers"
}
]
}
}